using System.ComponentModel;

namespace GxPress.EnumConst
{
    /// <summary>
    /// 文件夹类型  1文章 2话题 3 收藏 4笔记 5通知 6站内信  7小组 8 会议详情  14工作流审批 300 文件 400会议纪要
    /// </summary>
    public enum AllTypeConst
    {
        [Description("文章")]
        Article = 1,
        [Description("话题")]
        Topic = 2,
        [Description("收藏")]
        Collect = 3,
        [Description("笔记")]
        Note = 4,
        [Description("通知")]
        Notice = 5,
        [Description("站内信")]
        Missive = 6,
        [Description("小组")]
        Group = 7,
        [Description("收藏文件夹")]
        CollectFolder = 12,
        [Description("笔记文件夹")]
        NoteFolder = 13,
        [Description("工作流审批")]
        Flow = 14,
        [Description("文件")]
        File = 300,
        [Description("图片")]
        Image = 2,
        [Description("会议纪要")]
        MeetingSummary = 8,
        [Description("会议详情")]
        Meeting = 500,
        [Description("财务报表")]
        FinanceReport = 601,
        [Description("人事报表")]
        PersonnelReport = 602,
        [Description("出版报表")]
        PublishReport = 603,
    }
}